import { FluxStandardAction } from 'flux-standard-action';
declare type ActionMeta = {
    scope?: 'local' | string;
};
/**
 * stopForwarding allows you to give it an action, and it will return an
 * equivalent action that will only play in the current process
 */
export declare const stopForwarding: (action: FluxStandardAction<string, unknown, ActionMeta>) => {
    meta: {
        scope: string;
    };
    type: string;
    payload?: unknown;
    error?: boolean | undefined;
};
/**
 * validateAction ensures that the action meets the right format and isn't scoped locally
 */
export declare const validateAction: (action: unknown) => action is FluxStandardAction<string, unknown, ActionMeta>;
export {};
